## vdr-plugin-xineliboutput 1.1.0+cvs20150907

=== Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# See the main source file 'xineliboutput.c' for copyright information and
# how to reach the author.
#
# $Id: Makefile,v 1.120 2015/04/22 08:23:48 phintuka Exp $
#

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.

PLUGIN = xineliboutput

_default: all

# Keep VDR Makefile happy - it requires $(LIBDIR)/.$(APIVERSION) somewhere in this file ...

# check for Apple Darwin
ARCH_APPLE_DARWIN = no
ifeq ($(shell gcc -dumpmachine | grep -q 'apple-darwin' && echo "1" || echo "0"), 1)
    ARCH_APPLE_DARWIN = yes
endif

#
# Override configuration here or in ../../../Make.config
#

#NOSIGNAL_IMAGE_FILE=/usr/share/vdr/xineliboutput/nosignal.mpv
#STARTUP_IMAGE_FILE=/usr/share/vdr/xineliboutput/logodisplay.mpv
XINELIBOUTPUT_CONFIGURE_OPTS =


###
### The version number of this plugin (taken from the main source file):
###

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | cut -d'"' -f2)


###
### The C++ compiler and options:
###

CXX      ?= g++
CC       ?= gcc 
OPTFLAGS ?= 

ifeq ($(ARCH_APPLE_DARWIN), yes)
    CXXFLAGS   ?= -O3 -pipe -Wall -Woverloaded-virtual -fPIC -g -fno-common -bundle -flat_namespace -undefined suppress
    CFLAGS     ?= -O3 -pipe -Wall -fPIC -g -fno-common -bundle -flat_namespace -undefined suppress
    LDFLAGS_SO ?= -fvisibility=hidden
else
    CXXFLAGS   ?= -O3 -pipe -Wall -Woverloaded-virtual -fPIC -g
    CFLAGS     ?= -O3 -pipe -Wall -fPIC -g
    LDFLAGS_SO ?= -fvisibility=hidden
    LDFLAGS_SO += -shared
endif

###
### The directory environment:
###

# Use package data if installed...otherwise assume we're under the VDR source directory:
PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../.." pkg-config --variable=$(1) vdr))
LIBDIR = $(call PKGCFG,libdir)
LOCDIR = $(call PKGCFG,locdir)
PLGCFG = $(call PKGCFG,plgcfg)
VIDEODIR = $(call PKGCFG,videodir)

TMPDIR  ?= /tmp
BINDIR  ?= /usr/bin

INSTALL ?= install

###
### Allow user defined options to overwrite defaults:
###

-include Make.config


###
### check for VDR
###

APIVERSION = $(call PKGCFG,apiversion)

VDR_TREE = no
ifeq ($(strip $(APIVERSION)),)
    $(warning ********************************************************)
    $(warning VDR not detected ! VDR plugins will not be compiled.    )
    $(warning ********************************************************)
    CONFIGURE_OPTS += --disable-vdr
else
    export CFLAGS   = $(call PKGCFG,cflags)
    export CXXFLAGS = $(call PKGCFG,cxxflags)

    ifeq ($(VDRDIR),)
        $(warning Building outside VDR source tree)
    else
        $(warning Building inside VDR source tree)
        VDR_TREE = yes
    endif
endif

### Allow user defined options to overwrite defaults:
-include $(PLGCFG)

###
### run configure script
###

config.mak: Makefile configure
	@echo Running configure
	@sh configure --cc="$(CC)" --cxx="$(CXX)" $(CONFIGURE_OPTS) $(XINELIBOUTPUT_CONFIGURE_OPTS)
-include config.mak

###
### The name of the distribution archive:
###

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)


###
### The name of executable and libraries
###

VDRPLUGIN            = libvdr-$(PLUGIN).so.$(APIVERSION)
VDRPLUGIN_SXFE       = lib$(PLUGIN)-sxfe.so.$(VERSION)
VDRPLUGIN_FBFE       = lib$(PLUGIN)-fbfe.so.$(VERSION)
VDRSXFE              = vdr-sxfe
VDRFBFE              = vdr-fbfe
XINEINPUTVDR         = xineplug_inp_xvdr.so
XINEPOSTAUTOCROP     = xineplug_post_autocrop.so
XINEPOSTSWSCALE      = xineplug_post_swscale.so
XINEPOSTAUDIOCHANNEL = xineplug_post_audiochannel.so

###
### which programs and libs to build
###

TARGETS_VDR  =
TARGETS_FE   =
TARGETS_XINE =
ifeq ($(XINELIBOUTPUT_VDRPLUGIN), yes)
    TARGETS_VDR += $(VDRPLUGIN)
endif
ifeq ($(XINELIBOUTPUT_XINEPLUGIN), yes)
    TARGETS_XINE += $(XINEINPUTVDR) $(XINEPOSTAUTOCROP) $(XINEPOSTSWSCALE) $(XINEPOSTAUDIOCHANNEL)
endif
ifeq ($(XINELIBOUTPUT_X11), yes)
    TARGETS_FE += $(VDRSXFE)
    ifeq ($(XINELIBOUTPUT_VDRPLUGIN), yes)
        TARGETS_VDR += $(VDRPLUGIN_SXFE)
    endif
endif
ifeq ($(XINELIBOUTPUT_FB), yes)
    TARGETS_FE += $(VDRFBFE)
    ifeq ($(XINELIBOUTPUT_VDRPLUGIN), yes)
        TARGETS_VDR += $(VDRPLUGIN_FBFE)
    endif
endif


###
### Includes and Defines (add further entries here):
###

ifeq ($(ARCH_APPLE_DARWIN), yes)
    INCLUDES  += -I/sw/include
    LIBDIRS   += -L/sw/lib
    LIBS      += $(LIBDIRS)
else
    LIBS      += -lrt
endif

DEFINES   += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"' \
             -D_REENTRANT -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 \
	     -DVIDEODIR='"$(VIDEODIR)"' -DXINELIBOUTPUT_VERSION='"$(VERSION)"'

ifdef NOSIGNAL_IMAGE_FILE
  DEFINES += -DNOSIGNAL_IMAGE_FILE='"$(NOSIGNAL_IMAGE_FILE)"'
endif
ifdef STARTUP_IMAGE_FILE
  DEFINES += -DSTARTUP_IMAGE_FILE='"$(STARTUP_IMAGE_FILE)"'
endif


###
### The object files (add further files here):
###

# VDR plugin
ifeq ($(XINELIBOUTPUT_VDRPLUGIN), yes)
OBJS = $(PLUGIN).o device.o frontend.o osd.o config.o menu.o setup_menu.o \
       menuitems.o media_player.o equalizer.o \
       frontend_local.o frontend_svr.o \
       tools/cxsocket.o tools/udp_pes_scheduler.o \
       tools/backgroundwriter.o tools/playlist.o tools/http.o \
       tools/vdrdiscovery.o tools/time_pts.o tools.o \
       tools/metainfo_menu.o logdefs.o tools/rle.o
OBJS_MPG = black_720x576.o nosignal_720x576.o vdrlogo_720x576.o
endif

# frontends
OBJS_FE_SO = xine_frontend.o logdefs.o \
             xine/post.o xine/vo_hook.o xine/vo_osdscaler.o xine/vo_osdreorder.o xine/vo_lastpts.o \
             xine/vo_frameoutput.o \
             tools/rle.o
OBJS_FE    = $(OBJS_FE_SO) \
             xine_frontend_main.o \
             xine_frontend_lirc.o xine_frontend_kbd.o xine_frontend_cec.o \
             tools/vdrdiscovery.o
OBJS_SXFE_SO = xine_sxfe_frontend.o $(OBJS_FE_SO)
OBJS_SXFE    = xine_sxfe_frontend.o $(OBJS_FE)
OBJS_FBFE_SO = xine_fbfe_frontend.o $(OBJS_FE_SO)
OBJS_FBFE    = xine_fbfe_frontend.o $(OBJS_FE)

ifneq ($(HAVE_DBUS_GLIB_1), no)
OBJS_SXFE    += tools/gnome_screensaver.o
OBJS_SXFE_SO += tools/gnome_screensaver.o
endif

# xine plugins
OBJS_XINEINPUTVDR = xine_input_vdr.o xine/demux_xvdr.o \
                    xine/ts2es.o xine/demux_xvdr_tsdata.o \
                    xine/adjustable_scr.o xine/xvdr_metronom.o xine/osd_manager.o \
                    tools/rle.o tools/ts.o tools/pes.o tools/mpeg.o tools/h264.o

OBJS_XINE = $(OBJS_XINEINPUTVDR) xine_post_autocrop.o xine_post_swscale.o xine_post_audiochannel.o

###
### Implicit rules:
###

%.o: %.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $(CFLAGS_VDR) -o $@ $<


###
### Dependencies:
###

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile config.mak
	@rm -f $@
	@for i in $(OBJS:%.o=%.c) $(OBJS_SXFE:%.o=%.c) $(OBJS_FBFE:%.o=%.c) $(OBJS_XINE:%.o=%.c) ; do \
	  $(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) -MT "`dirname $$i`/`basename $$i .c`.o" $$i >>$@ ; \
	done

-include $(DEPFILE)

DEFINES += -Wall


###
### Rules:
###

mpg2c: mpg2c.c
	$(CC) $(CFLAGS) $(LDFLAGS) mpg2c.c -o $@

# data
black_720x576.c: mpg2c black_720x576.mpg
	@./mpg2c black black_720x576.mpg black_720x576.c
nosignal_720x576.c: mpg2c nosignal_720x576.mpg
	@./mpg2c nosignal nosignal_720x576.mpg nosignal_720x576.c
vdrlogo_720x576.c: mpg2c vdrlogo_720x576.mpg
	@./mpg2c vdrlogo vdrlogo_720x576.mpg vdrlogo_720x576.c

# C code (xine plugins and frontends)
$(sort $(OBJS_SXFE) $(OBJS_FBFE) $(OBJS_XINE)): %.o: %.c
	$(CC) $(CFLAGS) -c $(DEFINES) $(INCLUDES) $(CFLAGS_X11) $(CFLAGS_AVUTIL) $(OPTFLAGS) -o $@ $<

### Internationalization (I18N):
PODIR     = po
ifeq ($(XINELIBOUTPUT_VDRPLUGIN), yes)
I18Npo    = $(wildcard $(PODIR)/*.po)
I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
I18Nmsgs  = $(addprefix $(DESTDIR)$(LOCDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
I18Npot   = $(PODIR)/$(PLUGIN).pot

%.mo: %.po
	msgfmt -c -o $@ $<

$(I18Npot): $(wildcard *.c)
	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=vdr-$(PLUGIN) --package-version=$(VERSION) --msgid-bugs-address='<phintuka@users.sourceforge.net>' -o $@ $^

%.po: $(I18Npot)
	msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
	@touch $@

$(I18Nmsgs): $(DESTDIR)$(LOCDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
	@echo Installing $^
	install -D -m644 $< $@
endif

.PHONY: i18n
i18n: $(I18Nmo) $(I18Npot)

install-i18n: $(I18Nmsgs)

###
### targets
###

XINELIBOUTPUT_INSTALL_MSG =  \
	    $(warning *********************** xineliboutput ***************************) \
	    $(warning  Xine plugins and frontends will not be installed automatically. ) \
	    $(warning  To install files execute "make install" in                      ) \
	    $(warning  $(shell echo `pwd`)) \
	    $(warning *****************************************************************)

install : XINELIBOUTPUT_INSTALL_MSG =

.PHONY: all
all: config $(TARGETS_VDR) frontends i18n

frontends: config $(TARGETS_FE) $(TARGETS_XINE)
	$(XINELIBOUTPUT_INSTALL_MSG)

config: config.mak

.PHONY: config 

.PHONY: frontends install dist clean

#
# VDR plugin
#

$(VDRPLUGIN): $(OBJS) $(OBJS_MPG)
	$(CXX) $(CXXFLAGS) $(LDFLAGS_SO) $(LDFLAGS) -shared $(OBJS) $(OBJS_MPG) $(LIBS) $(LIBS_VDR) -o $@
ifeq ($(VDR_TREE), yes)
	$(INSTALL) $@ $(LIBDIR)/
endif

install-lib: $(TARGETS_VDR)
ifeq ($(XINELIBOUTPUT_VDRPLUGIN), yes)
	@echo Installing $^
	install -D $^ $(DESTDIR)$(LIBDIR)/
endif

install: install-lib install-i18n

#
# vdr-sxfe
#

$(VDRPLUGIN_SXFE): $(OBJS_SXFE_SO)
	$(CC) $(CFLAGS) $(LDFLAGS_SO) $(LDFLAGS) $(OBJS_SXFE_SO) $(LIBS_X11) $(LIBS_XINE) $(LIBS_JPEG) -o $@
ifeq ($(VDR_TREE), yes)
	$(INSTALL) $@ $(LIBDIR)/
endif
$(VDRSXFE): $(OBJS_SXFE)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_SXFE) $(LIBS_X11) $(LIBS_XINE) $(LIBS_JPEG) $(LIBS_CEC) $(LIBS_PTHREAD) -o $@

#
# vdr-fbfe
#

$(VDRPLUGIN_FBFE): $(OBJS_FBFE_SO)
	$(CC) $(CFLAGS) $(LDFLAGS_SO) $(LDFLAGS) $(OBJS_FBFE_SO) $(LIBS_XINE) $(LIBS_JPEG) -o $@
ifeq ($(VDR_TREE), yes)
	$(INSTALL) $@ $(LIBDIR)/
endif
$(VDRFBFE): $(OBJS_FBFE)
	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_FBFE) $(LIBS_XINE) $(LIBS_JPEG) $(LIBS_CEC) $(LIBS_PTHREAD) -o $@

#
# xine plugins
#

$(XINEINPUTVDR): $(OBJS_XINEINPUTVDR)
	$(CC) $(CFLAGS) $(LDFLAGS_SO) $(LDFLAGS) $(OBJS_XINEINPUTVDR) $(LIBS_XINE) $(LIBS_AVUTIL) $(LIBS_PTHREAD) -o $@
$(XINEPOSTAUTOCROP): xine_post_autocrop.o
	$(CC) $(CFLAGS) $(LDFLAGS_SO) $(LDFLAGS) $< -o $@ $(LIBS_XINE)
$(XINEPOSTSWSCALE): xine_post_swscale.o
	$(CC) $(CFLAGS) $(LDFLAGS_SO) $(LDFLAGS) $< -o $@ $(LIBS_XINE)
$(XINEPOSTAUDIOCHANNEL): xine_post_audiochannel.o
	$(CC) $(CFLAGS) $(LDFLAGS_SO) $(LDFLAGS) $< -o $@ $(LIBS_XINE)

#
# install
#

install: all
ifeq ($(XINELIBOUTPUT_XINEPLUGIN), yes)
	@mkdir -p $(DESTDIR)$(XINEPLUGINDIR)/post
	@echo Installing $(DESTDIR)$(XINEPLUGINDIR)/$(XINEINPUTVDR)
	@-rm -rf $(DESTDIR)$(XINEPLUGINDIR)/$(XINEINPUTVDR)
	@$(INSTALL) -m 0644 $(XINEINPUTVDR) $(DESTDIR)$(XINEPLUGINDIR)/$(XINEINPUTVDR)
	@echo Installing $(DESTDIR)$(XINEPLUGINDIR)/post/$(XINEPOSTAUTOCROP)
	@-rm -rf $(DESTDIR)$(XINEPLUGINDIR)/post/$(XINEPOSTAUTOCROP)
	@$(INSTALL) -m 0644 $(XINEPOSTAUTOCROP) $(DESTDIR)$(XINEPLUGINDIR)/post/$(XINEPOSTAUTOCROP)
	@echo Installing $(DESTDIR)$(XINEPLUGINDIR)/post/$(XINEPOSTSWSCALE)
	@-rm -rf $(DESTDIR)$(XINEPLUGINDIR)/post/$(XINEPOSTSWSCALE)
	@$(INSTALL) -m 0644 $(XINEPOSTSWSCALE) $(DESTDIR)$(XINEPLUGINDIR)/post/$(XINEPOSTSWSCALE)
	@echo Installing $(DESTDIR)$(XINEPLUGINDIR)/post/$(XINEPOSTAUDIOCHANNEL)
	@-rm -rf $(DESTDIR)$(XINEPLUGINDIR)/post/$(XINEPOSTAUDIOCHANNEL)
	@$(INSTALL) -m 0644 $(XINEPOSTAUDIOCHANNEL) $(DESTDIR)$(XINEPLUGINDIR)/post/$(XINEPOSTAUDIOCHANNEL)
endif
ifeq ($(XINELIBOUTPUT_FB), yes)
	@echo Installing $(DESTDIR)$(BINDIR)/vdr-fbfe
	@mkdir -p $(DESTDIR)$(BINDIR)
	@-rm -rf $(DESTDIR)$(BINDIR)/vdr-fbfe

=== debian/changelog ===
vdr-plugin-xineliboutput (1.1.0+cvs20150907-3) unstable; urgency=medium

  * Fixed Vcs-Git
  * Disable po update to get a reproducible build

 -- Tobias Grimm <etobi@debian.org>  Sat, 10 Oct 2015 12:32:15 +0200

vdr-plugin-xineliboutput (1.1.0+cvs20150907-2) unstable; urgency=medium

  * Fixed installation of *.mo translations

 -- Tobias Grimm <etobi@debian.org>  Sat, 26 Sep 2015 23:22:12 +0200

vdr-plugin-xineliboutput (1.1.0+cvs20150907-1) unstable; urgency=medium

  * New Upstream Snapshot
  * Fixed get-vcs-snapshot
  * Added truecolor patch to add a --truecolor option which forces true color
    even if no client is conncected (required by some skins)

 -- Tobias Grimm <etobi@debian.org>  Tue, 08 Sep 2015 00:18:47 +0200

vdr-plugin-xineliboutput (1.1.0+cvs20150211-4) unstable; urgency=medium

  * Now supporting the /etc/vdr/conf.d mechanism

 -- Tobias Grimm <etobi@debian.org>  Mon, 23 Mar 2015 23:30:11 +0100

vdr-plugin-xineliboutput (1.1.0+cvs20150211-3) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.2.0)

 -- Tobias Grimm <etobi@debian.org>  Thu, 19 Feb 2015 12:40:02 +0100

vdr-plugin-xineliboutput (1.1.0+cvs20150211-2) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.1.10)
  * Standards-Version: 3.9.6
  * Added vdr-2.1.10-compat.patch from Lars Hanisch / yaVDR

 -- Tobias Grimm <etobi@debian.org>  Sat, 14 Feb 2015 13:41:18 +0100

vdr-plugin-xineliboutput (1.1.0+cvs20150211-1) unstable; urgency=medium

  * New Upstream Snapshot
  * Build-depend on vdr-dev >= 2.1.9

 -- Tobias Grimm <etobi@debian.org>  Wed, 11 Feb 2015 21:48:20 +0100

vdr-plugin-xineliboutput (1.1.0-2) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.0.6)
  * Standards-Version: 3.9.5

 -- Tobias Grimm <etobi@debian.org>  Sun, 26 Oct 2014 14:30:00 +0100

=== debian/control ===
Source: vdr-plugin-xineliboutput
Section: video
Priority: extra
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Tobias Grimm <etobi@debian.org>, Thomas Schmidt <tschmidt@debian.org>, Thomas Günther <tom@toms-cafe.de>
Build-Depends: debhelper (>= 9), gettext, pkg-config, txt2man,
 vdr-dev (>= 2.2.0),
 x11proto-core-dev,
 libxine2-dev,
 libavutil-dev,
 libxext-dev,
 libjpeg-dev,
 libx11-dev,
 libdbus-glib-1-dev,
 libextractor-dev,
 libxinerama-dev,
 libxrender-dev,
 libvdpau-dev,
 freeglut3-dev
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/pkg-vdr-dvb/vdr-plugin-xineliboutput.git
Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-xineliboutput.git
Homepage: http://sourceforge.net/projects/xineliboutput

Package: vdr-plugin-xineliboutput
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: VDR plugin for Xine based sofdevice frontends
 This VDR plugin provides an audio, video and control stream, that several
 libxine based local and remote frontends can use.

Package: vdr-plugin-xineliboutput-dbg
Architecture: any
Section: debug
Priority: extra
Depends: vdr-plugin-xineliboutput (= ${binary:Version}), ${misc:Depends}
Description: VDR plugin for Xine based sofdevice frontends
 This VDR plugin provides an audio, video and control stream, that several
 libxine based local and remote frontends can use.
 .
 This package contains the debugging symbols.

Package: libxineliboutput-fbfe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vdr-plugin-xineliboutput (= ${binary:Version}), libxine2-xvdr (= ${binary:Version}), libxine2-console
Description: Local framebuffer frontend for the xineliboutput plugin
 The xineliboutput vdr plugin requires this library to provide the built-in
 local frontend for framebuffer devices.

Package: libxineliboutput-fbfe-dbg
Architecture: any
Section: debug
Priority: extra
Depends: , ${misc:Depends}, libxineliboutput-fbfe (= ${binary:Version}), vdr-plugin-xineliboutput-dbg (= ${binary:Version}), libxine2-xvdr-dbg (= ${binary:Version})
Description: Local framebuffer frontend for the xineliboutput plugin
 The xineliboutput vdr plugin requires this library to provide the built-in
 local frontend for framebuffer devices.
 .
 This package contains the debugging symbols.

Package: libxineliboutput-sxfe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vdr-plugin-xineliboutput (= ${binary:Version}), libxine2-xvdr (= ${binary:Version}), libxine2-x, dbus
Description: Local X-Server frontend for the xineliboutput plugin
 The xineliboutput vdr plugin requires this library to provide the built-in
 local frontend for X, Xv or XvMC window systems.

Package: libxineliboutput-sxfe-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, libxineliboutput-sxfe (= ${binary:Version}), vdr-plugin-xineliboutput-dbg (= ${binary:Version}), libxine2-xvdr-dbg (= ${binary:Version})
Description: Local X-Server frontend for the xineliboutput plugin
 The xineliboutput vdr plugin requires this library to provide the built-in
 local frontend for X, Xv or XvMC window systems.
 .
 This package contains the debugging symbols.

Package: xineliboutput-fbfe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libxine2-xvdr (= ${binary:Version}), libxine2-console
Description: Remote Framebuffer frontend for vdr-plugin-xineliboutput
 This frambuffer remote frontend plays back streams provided by
 vdr-plugin-xineliboutput.

Package: xineliboutput-fbfe-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, xineliboutput-fbfe (= ${binary:Version}), libxine2-xvdr-dbg (= ${binary:Version})
Description: Remote Framebuffer frontend for vdr-plugin-xineliboutput
 This frambuffer remote frontend plays back streams provided by
 vdr-plugin-xineliboutput.
 .
 This package contains the debugging symbols.

Package: xineliboutput-sxfe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libxine2-xvdr (= ${binary:Version}), libxine2-x, dbus
Description: Remote X-Server frontend for vdr-plugin-xineliboutput
 This X/Xv/XvMc remote frontend plays back streams provided by
 vdr-plugin-xineliboutput.

Package: xineliboutput-sxfe-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, xineliboutput-sxfe (= ${binary:Version}), libxine2-xvdr-dbg (= ${binary:Version})
Description: Remote X-Server frontend for vdr-plugin-xineliboutput
 This X/Xv/XvMc remote frontend plays back streams provided by
 vdr-plugin-xineliboutput.
 .
 This package contains the debugging symbols.

Package: libxine2-xvdr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xine:Depends}, libxine2-ffmpeg
Replaces: libxine-xvdr (<< 1.0.0~rc2-5)
Provides: libxine-xvdr
Conflicts: libxine-xvdr (<< 1.0.0~rc2-5)
Description: Xine input plugin for vdr-plugin-xineliboutput streams
 This plugin adds a new mrl "xvdr://" to Xine, which allows one to play back
 streams provided by vdr-plugin-xineliboutput.

Package: libxine2-xvdr-dbg
Architecture: any
Section: debug
Priority: extra
Depends: ${misc:Depends}, libxine2-xvdr (= ${binary:Version})
Description: Xine input plugin for vdr-plugin-xineliboutput streams
 This plugin adds a new mrl "xvdr://" to Xine, which allows one to play back
 streams provided by vdr-plugin-xineliboutput.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with vdrplugin

override_dh_auto_configure:
	./configure

override_dh_auto_build:
	dh_auto_build -- all $(MAKE_OPTIONS)
	txt2man -s 1 -t vdr-sxfe -v "Remote X-Server frontend for vdr-plugin-xineliboutput" debian/vdr-sxfe.1.txt >vdr-sxfe.1
	txt2man -s 1 -t vdr-fbfe -v "Remote Framebuffer frontend for vdr-plugin-xineliboutput" debian/vdr-fbfe.1.txt >vdr-fbfe.1

override_dh_auto_clean:
	$(MAKE) -o .dependencies clean $(MAKE_OPTIONS)
	rm -f vdr-sxfe.1 vdr-fbfe.1

override_dh_gencontrol:
	dpkg -p libxine2-dev | sed -re '/^Version:/! d; s/^Version: (([0-9]:)?([0-9]+\.){2}[0-9]+).*$$/xine:Depends=libxine2 (>= \1)/' \
	>> debian/libxine2-xvdr.substvars
	dh_gencontrol

override_dh_auto_install:
	dh_auto_install -- $(MAKE_OPTIONS)
	install -m 644 -D debian/icon.svg debian/xineliboutput-sxfe/usr/share/icons/xineliboutput-sxfe.svg
	install -m 644 -D debian/icon.svg debian/xineliboutput-sxfe/usr/share/icons/xineliboutput-fbfe.svg

override_dh_strip:
	dh_strip -pvdr-plugin-xineliboutput --dbg-package=vdr-plugin-xineliboutput-dbg
	dh_strip -plibxineliboutput-fbfe --dbg-package=libxineliboutput-fbfe-dbg
	dh_strip -plibxineliboutput-sxfe --dbg-package=libxineliboutput-sxfe-dbg
	dh_strip -pxineliboutput-fbfe --dbg-package=xineliboutput-fbfe-dbg
	dh_strip -pxineliboutput-sxfe --dbg-package=xineliboutput-sxfe-dbg
	dh_strip -plibxine2-xvdr --dbg-package=libxine2-xvdr-dbg

get-vcs-snapshot:
	sh debian/get-vcs-snapshot.sh

=== debian/watch ===
version=3
opts="uversionmangle=s/_//g;s/(.*)((rc|pre)\d)/$1~$2/g" \
    http://qa.debian.org/watch/sf.php/xineliboutput/ vdr-xineliboutput-(.*)\.(?:tgz|tar\.bz2)

## vdr-plugin-xineliboutput 2.0.0

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 # See the main source file 'xineliboutput.c' for copyright information and
 # how to reach the author.
 #
-# $Id: Makefile,v 1.120 2015/04/22 08:23:48 phintuka Exp $
+# $Id$
 #
 
 # The official name of this plugin.
@@ -64,13 +64,13 @@
 
 # Use package data if installed...otherwise assume we're under the VDR source directory:
 PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell PKG_CONFIG_PATH="$$PKG_CONFIG_PATH:../../.." pkg-config --variable=$(1) vdr))
+BINDIR = $(call PKGCFG,bindir)
 LIBDIR = $(call PKGCFG,libdir)
 LOCDIR = $(call PKGCFG,locdir)
 PLGCFG = $(call PKGCFG,plgcfg)
 VIDEODIR = $(call PKGCFG,videodir)
 
 TMPDIR  ?= /tmp
-BINDIR  ?= /usr/bin
 
 INSTALL ?= install
 
@@ -80,6 +80,9 @@
 
 -include Make.config
 
+ifeq ($(strip $(BINDIR)),)
+  BINDIR = /usr/bin
+endif
 
 ###
 ### check for VDR
@@ -198,7 +201,7 @@
 ifeq ($(XINELIBOUTPUT_VDRPLUGIN), yes)
 OBJS = $(PLUGIN).o device.o frontend.o osd.o config.o menu.o setup_menu.o \
        menuitems.o media_player.o equalizer.o \
-       frontend_local.o frontend_svr.o \
+       frontend_local.o frontend_svr.o tools/avahi.o \
        tools/cxsocket.o tools/udp_pes_scheduler.o \
        tools/backgroundwriter.o tools/playlist.o tools/http.o \
        tools/vdrdiscovery.o tools/time_pts.o tools.o \
@@ -229,7 +232,7 @@
 OBJS_XINEINPUTVDR = xine_input_vdr.o xine/demux_xvdr.o \
                     xine/ts2es.o xine/demux_xvdr_tsdata.o \
                     xine/adjustable_scr.o xine/xvdr_metronom.o xine/osd_manager.o \
-                    tools/rle.o tools/ts.o tools/pes.o tools/mpeg.o tools/h264.o
+                    tools/rle.o tools/ts.o tools/pes.o tools/mpeg.o tools/h264.o tools/h265.o
 
 OBJS_XINE = $(OBJS_XINEINPUTVDR) xine_post_autocrop.o xine_post_swscale.o xine_post_audiochannel.o
 
@@ -343,6 +346,7 @@
 install-lib: $(TARGETS_VDR)
 ifeq ($(XINELIBOUTPUT_VDRPLUGIN), yes)
 	@echo Installing $^
+	@mkdir -p $(DESTDIR)$(LIBDIR)
 	install -D $^ $(DESTDIR)$(LIBDIR)/
 endif
 
@@ -408,4 +412,3 @@
 ifeq ($(XINELIBOUTPUT_FB), yes)
 	@echo Installing $(DESTDIR)$(BINDIR)/vdr-fbfe
 	@mkdir -p $(DESTDIR)$(BINDIR)
-	@-rm -rf $(DESTDIR)$(BINDIR)/vdr-fbfe

=== debian/changelog ===
vdr-plugin-xineliboutput (2.0.0-1) unstable; urgency=medium

  * New upstream release (Closes: #872496)

 -- Tobias Grimm <etobi@debian.org>  Sat, 16 Sep 2017 08:54:16 +0200

vdr-plugin-xineliboutput (1.1.0+git20170131-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 2434b2a)
  * Updated upstream VCS location
  * Dropped fixe-segfault.patch - fixed upstream
  * Dropped Makfile-fixes.patch - fixed upstream
  * Dropped truecolor.diff - fixed upstream
  * Standards-Version: 3.9.8

 -- Tobias Grimm <etobi@debian.org>  Tue, 31 Jan 2017 23:59:29 +0100

=== debian/control ===
--- 
+++ 
@@ -16,8 +16,9 @@
  libxinerama-dev,
  libxrender-dev,
  libvdpau-dev,
- freeglut3-dev
-Standards-Version: 3.9.6
+ freeglut3-dev,
+ libcec-dev
+Standards-Version: 3.9.8
 Vcs-Git: git://anonscm.debian.org/pkg-vdr-dvb/vdr-plugin-xineliboutput.git
 Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-xineliboutput.git
 Homepage: http://sourceforge.net/projects/xineliboutput

## vdr-plugin-xineliboutput 2.1.0

=== Makefile ===
--- 
+++ 
@@ -107,6 +107,9 @@
         VDR_TREE = yes
     endif
 endif
+
+CFLAGS += -Wextra -Wno-unused-parameter
+CXXFLAGS += -Wextra -Wno-unused-parameter
 
 ### Allow user defined options to overwrite defaults:
 -include $(PLGCFG)
@@ -410,5 +413,3 @@
 	@$(INSTALL) -m 0644 $(XINEPOSTAUDIOCHANNEL) $(DESTDIR)$(XINEPLUGINDIR)/post/$(XINEPOSTAUDIOCHANNEL)
 endif
 ifeq ($(XINELIBOUTPUT_FB), yes)
-	@echo Installing $(DESTDIR)$(BINDIR)/vdr-fbfe
-	@mkdir -p $(DESTDIR)$(BINDIR)

=== debian/changelog ===
vdr-plugin-xineliboutput (2.1.0-1) unstable; urgency=medium

  * New upstream version
  * Fixed libxine2-xvdr multiarch installation
  * Replaced priority extra with optional
  * Don't do a recursive chown on /var/lib/vdr/plugins/xineliboutput

 -- Tobias Grimm <etobi@debian.org>  Sun, 15 Apr 2018 20:11:15 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: vdr-plugin-xineliboutput
 Section: video
-Priority: extra
+Priority: optional
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Tobias Grimm <etobi@debian.org>, Thomas Schmidt <tschmidt@debian.org>, Thomas Günther <tom@toms-cafe.de>
 Build-Depends: debhelper (>= 9), gettext, pkg-config, txt2man,
- vdr-dev (>= 2.2.0),
+ vdr-dev (>= 2.4.0),
  x11proto-core-dev,
  libxine2-dev,
  libavutil-dev,
@@ -18,9 +18,9 @@
  libvdpau-dev,
  freeglut3-dev,
  libcec-dev
-Standards-Version: 3.9.8
-Vcs-Git: git://anonscm.debian.org/pkg-vdr-dvb/vdr-plugin-xineliboutput.git
-Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-xineliboutput.git
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-xineliboutput.git
+Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-xineliboutput
 Homepage: http://sourceforge.net/projects/xineliboutput
 
 Package: vdr-plugin-xineliboutput
@@ -33,7 +33,7 @@
 Package: vdr-plugin-xineliboutput-dbg
 Architecture: any
 Section: debug
-Priority: extra
+Priority: optional
 Depends: vdr-plugin-xineliboutput (= ${binary:Version}), ${misc:Depends}
 Description: VDR plugin for Xine based sofdevice frontends
  This VDR plugin provides an audio, video and control stream, that several
@@ -51,7 +51,7 @@
 Package: libxineliboutput-fbfe-dbg
 Architecture: any
 Section: debug
-Priority: extra
+Priority: optional
 Depends: , ${misc:Depends}, libxineliboutput-fbfe (= ${binary:Version}), vdr-plugin-xineliboutput-dbg (= ${binary:Version}), libxine2-xvdr-dbg (= ${binary:Version})
 Description: Local framebuffer frontend for the xineliboutput plugin
  The xineliboutput vdr plugin requires this library to provide the built-in
@@ -69,7 +69,7 @@
 Package: libxineliboutput-sxfe-dbg
 Architecture: any
 Section: debug
-Priority: extra
+Priority: optional
 Depends: ${misc:Depends}, libxineliboutput-sxfe (= ${binary:Version}), vdr-plugin-xineliboutput-dbg (= ${binary:Version}), libxine2-xvdr-dbg (= ${binary:Version})
 Description: Local X-Server frontend for the xineliboutput plugin
  The xineliboutput vdr plugin requires this library to provide the built-in
@@ -87,7 +87,7 @@
 Package: xineliboutput-fbfe-dbg
 Architecture: any
 Section: debug
-Priority: extra
+Priority: optional
 Depends: ${misc:Depends}, xineliboutput-fbfe (= ${binary:Version}), libxine2-xvdr-dbg (= ${binary:Version})
 Description: Remote Framebuffer frontend for vdr-plugin-xineliboutput
  This frambuffer remote frontend plays back streams provided by
@@ -105,7 +105,7 @@
 Package: xineliboutput-sxfe-dbg
 Architecture: any
 Section: debug
-Priority: extra
+Priority: optional
 Depends: ${misc:Depends}, xineliboutput-sxfe (= ${binary:Version}), libxine2-xvdr-dbg (= ${binary:Version})
 Description: Remote X-Server frontend for vdr-plugin-xineliboutput
  This X/Xv/XvMc remote frontend plays back streams provided by
@@ -126,7 +126,7 @@
 Package: libxine2-xvdr-dbg
 Architecture: any
 Section: debug
-Priority: extra
+Priority: optional
 Depends: ${misc:Depends}, libxine2-xvdr (= ${binary:Version})
 Description: Xine input plugin for vdr-plugin-xineliboutput streams
  This plugin adds a new mrl "xvdr://" to Xine, which allows one to play back

## vdr-plugin-xineliboutput 2.1.0+git20190720

=== debian/changelog ===
vdr-plugin-xineliboutput (2.1.0+git20190720-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 021d0fc)
  * Build-depend on vdr-dev >= 2.4.1

 -- Tobias Grimm <etobi@debian.org>  Sat, 20 Jul 2019 06:21:08 +0200

vdr-plugin-xineliboutput (2.1.0+git20190511-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 530a410)
  * Standards-Version: 4.3.0
  * Migration to automatically created debug symbol packages

 -- Tobias Grimm <etobi@debian.org>  Sat, 11 May 2019 16:39:13 +0200

vdr-plugin-xineliboutput (2.1.0+git20180701-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 97b7e78)

 -- Tobias Grimm <etobi@debian.org>  Sun, 01 Jul 2018 21:01:37 +0200

=== debian/control ===
Source: vdr-plugin-xineliboutput
Section: video
Priority: optional
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Tobias Grimm <etobi@debian.org>, Thomas Schmidt <tschmidt@debian.org>, Thomas Günther <tom@toms-cafe.de>
Build-Depends: debhelper (>= 9), gettext, pkg-config, txt2man,
 vdr-dev (>= 2.4.1),
 x11proto-core-dev,
 libxine2-dev,
 libavutil-dev,
 libxext-dev,
 libjpeg-dev,
 libx11-dev,
 libdbus-glib-1-dev,
 libextractor-dev,
 libxinerama-dev,
 libxrender-dev,
 libvdpau-dev,
 freeglut3-dev,
 libcec-dev
Standards-Version: 4.3.0
Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-xineliboutput.git
Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-xineliboutput
Homepage: http://sourceforge.net/projects/xineliboutput

Package: vdr-plugin-xineliboutput
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: VDR plugin for Xine based sofdevice frontends
 This VDR plugin provides an audio, video and control stream, that several
 libxine based local and remote frontends can use.

Package: libxineliboutput-fbfe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vdr-plugin-xineliboutput (= ${binary:Version}), libxine2-xvdr (= ${binary:Version}), libxine2-console
Description: Local framebuffer frontend for the xineliboutput plugin
 The xineliboutput vdr plugin requires this library to provide the built-in
 local frontend for framebuffer devices.

Package: libxineliboutput-sxfe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, vdr-plugin-xineliboutput (= ${binary:Version}), libxine2-xvdr (= ${binary:Version}), libxine2-x, dbus
Description: Local X-Server frontend for the xineliboutput plugin
 The xineliboutput vdr plugin requires this library to provide the built-in
 local frontend for X, Xv or XvMC window systems.

Package: xineliboutput-fbfe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libxine2-xvdr (= ${binary:Version}), libxine2-console
Description: Remote Framebuffer frontend for vdr-plugin-xineliboutput
 This frambuffer remote frontend plays back streams provided by
 vdr-plugin-xineliboutput.

Package: xineliboutput-sxfe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libxine2-xvdr (= ${binary:Version}), libxine2-x, dbus
Description: Remote X-Server frontend for vdr-plugin-xineliboutput
 This X/Xv/XvMc remote frontend plays back streams provided by
 vdr-plugin-xineliboutput.

Package: libxine2-xvdr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${xine:Depends}, libxine2-ffmpeg
Replaces: libxine-xvdr (<< 1.0.0~rc2-5)
Provides: libxine-xvdr
Conflicts: libxine-xvdr (<< 1.0.0~rc2-5)
Description: Xine input plugin for vdr-plugin-xineliboutput streams
 This plugin adds a new mrl "xvdr://" to Xine, which allows one to play back
 streams provided by vdr-plugin-xineliboutput.

## vdr-plugin-xineliboutput 2.1.0+git20191101

=== Makefile ===
--- 
+++ 
@@ -108,11 +108,23 @@
     endif
 endif
 
-CFLAGS += -Wextra -Wno-unused-parameter
+CFLAGS += -Wextra -Wno-unused-parameter -Wmissing-prototypes -Wimplicit-function-declaration -Wshadow
 CXXFLAGS += -Wextra -Wno-unused-parameter
 
 ### Allow user defined options to overwrite defaults:
 -include $(PLGCFG)
+
+#
+# Silent rules falback
+#
+ifndef Q
+ifdef VERBOSE
+Q =
+else
+Q = @
+endif
+export Q
+endif
 
 ###
 ### run configure script
@@ -138,8 +150,10 @@
 VDRPLUGIN            = libvdr-$(PLUGIN).so.$(APIVERSION)
 VDRPLUGIN_SXFE       = lib$(PLUGIN)-sxfe.so.$(VERSION)
 VDRPLUGIN_FBFE       = lib$(PLUGIN)-fbfe.so.$(VERSION)
+VDRPLUGIN_WLFE       = lib$(PLUGIN)-wlfe.so.$(VERSION)
 VDRSXFE              = vdr-sxfe
 VDRFBFE              = vdr-fbfe
+VDRWLFE              = vdr-wlfe
 XINEINPUTVDR         = xineplug_inp_xvdr.so
 XINEPOSTAUTOCROP     = xineplug_post_autocrop.so
 XINEPOSTSWSCALE      = xineplug_post_swscale.so
@@ -168,6 +182,12 @@
     TARGETS_FE += $(VDRFBFE)
     ifeq ($(XINELIBOUTPUT_VDRPLUGIN), yes)
         TARGETS_VDR += $(VDRPLUGIN_FBFE)
+    endif
+endif
+ifeq ($(XINELIBOUTPUT_WAYLAND), yes)
+    TARGETS_FE += $(VDRWLFE)
+    ifeq ($(XINELIBOUTPUT_VDRPLUGIN), yes)
+        TARGETS_VDR += $(VDRPLUGIN_WLFE)
     endif
 endif
 
@@ -195,6 +215,7 @@
   DEFINES += -DSTARTUP_IMAGE_FILE='"$(STARTUP_IMAGE_FILE)"'
 endif
 
+DEFINES += $(EXTRA_DEFINES)
 
 ###
 ### The object files (add further files here):
@@ -207,8 +228,9 @@
        frontend_local.o frontend_svr.o tools/avahi.o \
        tools/cxsocket.o tools/udp_pes_scheduler.o \
        tools/backgroundwriter.o tools/playlist.o tools/http.o \
-       tools/vdrdiscovery.o tools/time_pts.o tools.o \
-       tools/metainfo_menu.o logdefs.o tools/rle.o
+       tools/time_pts.o tools.o \
+       tools/metainfo_menu.o logdefs.o tools/rle.o \
+       tools/sys_cap.o tools/sap.o tools/sdp.o
 OBJS_MPG = black_720x576.o nosignal_720x576.o vdrlogo_720x576.o
 endif
 
@@ -225,6 +247,8 @@
 OBJS_SXFE    = xine_sxfe_frontend.o $(OBJS_FE)
 OBJS_FBFE_SO = xine_fbfe_frontend.o $(OBJS_FE_SO)
 OBJS_FBFE    = xine_fbfe_frontend.o $(OBJS_FE)
+OBJS_WLFE_SO = xine_wlfe_frontend.o $(OBJS_FE_SO)
+OBJS_WLFE    = xine_wlfe_frontend.o $(OBJS_FE)
 
 ifneq ($(HAVE_DBUS_GLIB_1), no)
 OBJS_SXFE    += tools/gnome_screensaver.o
@@ -235,7 +259,8 @@
 OBJS_XINEINPUTVDR = xine_input_vdr.o xine/demux_xvdr.o \
                     xine/ts2es.o xine/demux_xvdr_tsdata.o \
                     xine/adjustable_scr.o xine/xvdr_metronom.o xine/osd_manager.o \
-                    tools/rle.o tools/ts.o tools/pes.o tools/mpeg.o tools/h264.o tools/h265.o
+                    tools/rle.o tools/ts.o tools/pes.o tools/mpeg.o tools/h264.o tools/h265.o \
+                    tools/vdrdiscovery.o
 
 OBJS_XINE = $(OBJS_XINEINPUTVDR) xine_post_autocrop.o xine_post_swscale.o xine_post_audiochannel.o
 
@@ -244,7 +269,8 @@
 ###
 
 %.o: %.c
-	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $(CFLAGS_VDR) -o $@ $<
+	@echo CXX $@
+	$(Q)$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $(CFLAGS_VDR) -o $@ $<
 
 
 ###
@@ -255,7 +281,7 @@
 DEPFILE = .dependencies
 $(DEPFILE): Makefile config.mak
 	@rm -f $@
-	@for i in $(OBJS:%.o=%.c) $(OBJS_SXFE:%.o=%.c) $(OBJS_FBFE:%.o=%.c) $(OBJS_XINE:%.o=%.c) ; do \
+	@for i in $(OBJS:%.o=%.c) $(OBJS_SXFE:%.o=%.c) $(OBJS_FBFE:%.o=%.c) $(OBJS_WLFE:%.o=%.c) $(OBJS_XINE:%.o=%.c) ; do \
 	  $(MAKEDEP) $(CXXFLAGS) $(DEFINES) $(INCLUDES) -MT "`dirname $$i`/`basename $$i .c`.o" $$i >>$@ ; \
 	done
 
@@ -269,19 +295,27 @@
 ###
 
 mpg2c: mpg2c.c
-	$(CC) $(CFLAGS) $(LDFLAGS) mpg2c.c -o $@
+	@echo CCLD $@
+	$(Q)$(CC) $(CFLAGS) $(LDFLAGS) mpg2c.c -o $@
 
 # data
 black_720x576.c: mpg2c black_720x576.mpg
-	@./mpg2c black black_720x576.mpg black_720x576.c
+	@echo GEN $@
+	$(Q)./mpg2c black black_720x576.mpg black_720x576.c
 nosignal_720x576.c: mpg2c nosignal_720x576.mpg
-	@./mpg2c nosignal nosignal_720x576.mpg nosignal_720x576.c
+	@echo GEN $@
+	$(Q)./mpg2c nosignal nosignal_720x576.mpg nosignal_720x576.c
 vdrlogo_720x576.c: mpg2c vdrlogo_720x576.mpg
-	@./mpg2c vdrlogo vdrlogo_720x576.mpg vdrlogo_720x576.c
+	@echo GEN $@
+	$(Q)./mpg2c vdrlogo vdrlogo_720x576.mpg vdrlogo_720x576.c
 
 # C code (xine plugins and frontends)
-$(sort $(OBJS_SXFE) $(OBJS_FBFE) $(OBJS_XINE)): %.o: %.c
-	$(CC) $(CFLAGS) -c $(DEFINES) $(INCLUDES) $(CFLAGS_X11) $(CFLAGS_AVUTIL) $(OPTFLAGS) -o $@ $<
+
+xine_input_vdr.o: nosignal_720x576.c
+
+$(sort $(OBJS_SXFE) $(OBJS_FBFE) $(OBJS_WLFE) $(OBJS_XINE)): %.o: %.c
+	@echo CC $@
+	$(Q)$(CC) $(CFLAGS) -c $(DEFINES) $(INCLUDES) $(CFLAGS_X11) $(CFLAGS_WAYLAND) $(CFLAGS_AVUTIL) $(OPTFLAGS) -o $@ $<
 
 ### Internationalization (I18N):
 PODIR     = po
@@ -292,13 +326,16 @@
 I18Npot   = $(PODIR)/$(PLUGIN).pot
 
 %.mo: %.po
-	msgfmt -c -o $@ $<
+	@echo MO $@
+	$(Q)msgfmt -c -o $@ $<
 
 $(I18Npot): $(wildcard *.c)
-	xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=vdr-$(PLUGIN) --package-version=$(VERSION) --msgid-bugs-address='<phintuka@users.sourceforge.net>' -o $@ $^
+	@echo GT $@
+	$(Q)xgettext -C -cTRANSLATORS --no-wrap --no-location -k -ktr -ktrNOOP --package-name=vdr-$(PLUGIN) --package-version=$(VERSION) --msgid-bugs-address='<phintuka@users.sourceforge.net>' -o $@ `ls $^`
 
 %.po: $(I18Npot)
-	msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
+	@echo PO $@
+	$(Q)msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
 	@touch $@
 
 $(I18Nmsgs): $(DESTDIR)$(LOCDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
@@ -341,7 +378,8 @@
 #
 
 $(VDRPLUGIN): $(OBJS) $(OBJS_MPG)
-	$(CXX) $(CXXFLAGS) $(LDFLAGS_SO) $(LDFLAGS) -shared $(OBJS) $(OBJS_MPG) $(LIBS) $(LIBS_VDR) -o $@
+	@echo LD $@
+	$(Q)$(CXX) $(CXXFLAGS) $(LDFLAGS_SO) $(LDFLAGS) -shared $(OBJS) $(OBJS_MPG) $(LIBS) $(LIBS_VDR) -o $@
 ifeq ($(VDR_TREE), yes)
 	$(INSTALL) $@ $(LIBDIR)/
 endif
@@ -360,56 +398,47 @@
 #
 
 $(VDRPLUGIN_SXFE): $(OBJS_SXFE_SO)
-	$(CC) $(CFLAGS) $(LDFLAGS_SO) $(LDFLAGS) $(OBJS_SXFE_SO) $(LIBS_X11) $(LIBS_XINE) $(LIBS_JPEG) -o $@
+	@echo LD $@
+	$(Q)$(CC) $(CFLAGS) $(LDFLAGS_SO) $(LDFLAGS) $(OBJS_SXFE_SO) $(LIBS_X11) $(LIBS_XINE) $(LIBS_JPEG) -o $@
 ifeq ($(VDR_TREE), yes)
 	$(INSTALL) $@ $(LIBDIR)/
 endif
 $(VDRSXFE): $(OBJS_SXFE)
-	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_SXFE) $(LIBS_X11) $(LIBS_XINE) $(LIBS_JPEG) $(LIBS_CEC) $(LIBS_PTHREAD) -o $@
-
-#
-# vdr-fbfe
-#
-
-$(VDRPLUGIN_FBFE): $(OBJS_FBFE_SO)
-	$(CC) $(CFLAGS) $(LDFLAGS_SO) $(LDFLAGS) $(OBJS_FBFE_SO) $(LIBS_XINE) $(LIBS_JPEG) -o $@
+	@echo LD $@
+	$(Q)$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_SXFE) $(LIBS_X11) $(LIBS_XINE) $(LIBS_JPEG) $(LIBS_CEC) $(LIBS_PTHREAD) -o $@
+
+#
+# vdr-wlfe
+#
+
+$(VDRPLUGIN_WLFE): $(OBJS_WLFE_SO)
+	@echo LD $@
+	$(Q)$(CC) $(CFLAGS) $(LDFLAGS_SO) $(LDFLAGS) $(OBJS_WLFE_SO) $(LIBS_WAYLAND) $(LIBS_XINE) $(LIBS_JPEG) -o $@
 ifeq ($(VDR_TREE), yes)
 	$(INSTALL) $@ $(LIBDIR)/
 endif
+$(VDRWLFE): $(OBJS_WLFE)
+	@echo LD $@
+	$(Q)$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_WLFE) $(LIBS_WAYLAND) $(LIBS_XINE) $(LIBS_JPEG) $(LIBS_CEC) $(LIBS_PTHREAD) -o $@
+
+#
+# vdr-fbfe
+#
+
+$(VDRPLUGIN_FBFE): $(OBJS_FBFE_SO)
+	@echo LD $@
+	$(Q)$(CC) $(CFLAGS) $(LDFLAGS_SO) $(LDFLAGS) $(OBJS_FBFE_SO) $(LIBS_XINE) $(LIBS_JPEG) -o $@
+ifeq ($(VDR_TREE), yes)
+	$(INSTALL) $@ $(LIBDIR)/
+endif
 $(VDRFBFE): $(OBJS_FBFE)
-	$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_FBFE) $(LIBS_XINE) $(LIBS_JPEG) $(LIBS_CEC) $(LIBS_PTHREAD) -o $@
+	@echo LD $@
+	$(Q)$(CC) $(CFLAGS) $(LDFLAGS) $(OBJS_FBFE) $(LIBS_XINE) $(LIBS_JPEG) $(LIBS_CEC) $(LIBS_PTHREAD) -o $@
 
 #
 # xine plugins
 #
 
 $(XINEINPUTVDR): $(OBJS_XINEINPUTVDR)
-	$(CC) $(CFLAGS) $(LDFLAGS_SO) $(LDFLAGS) $(OBJS_XINEINPUTVDR) $(LIBS_XINE) $(LIBS_AVUTIL) $(LIBS_PTHREAD) -o $@
-$(XINEPOSTAUTOCROP): xine_post_autocrop.o
-	$(CC) $(CFLAGS) $(LDFLAGS_SO) $(LDFLAGS) $< -o $@ $(LIBS_XINE)
-$(XINEPOSTSWSCALE): xine_post_swscale.o
-	$(CC) $(CFLAGS) $(LDFLAGS_SO) $(LDFLAGS) $< -o $@ $(LIBS_XINE)
-$(XINEPOSTAUDIOCHANNEL): xine_post_audiochannel.o
-	$(CC) $(CFLAGS) $(LDFLAGS_SO) $(LDFLAGS) $< -o $@ $(LIBS_XINE)
-
-#
-# install
-#
-
-install: all
-ifeq ($(XINELIBOUTPUT_XINEPLUGIN), yes)
-	@mkdir -p $(DESTDIR)$(XINEPLUGINDIR)/post
-	@echo Installing $(DESTDIR)$(XINEPLUGINDIR)/$(XINEINPUTVDR)
-	@-rm -rf $(DESTDIR)$(XINEPLUGINDIR)/$(XINEINPUTVDR)
-	@$(INSTALL) -m 0644 $(XINEINPUTVDR) $(DESTDIR)$(XINEPLUGINDIR)/$(XINEINPUTVDR)
-	@echo Installing $(DESTDIR)$(XINEPLUGINDIR)/post/$(XINEPOSTAUTOCROP)
-	@-rm -rf $(DESTDIR)$(XINEPLUGINDIR)/post/$(XINEPOSTAUTOCROP)
-	@$(INSTALL) -m 0644 $(XINEPOSTAUTOCROP) $(DESTDIR)$(XINEPLUGINDIR)/post/$(XINEPOSTAUTOCROP)
-	@echo Installing $(DESTDIR)$(XINEPLUGINDIR)/post/$(XINEPOSTSWSCALE)
-	@-rm -rf $(DESTDIR)$(XINEPLUGINDIR)/post/$(XINEPOSTSWSCALE)
-	@$(INSTALL) -m 0644 $(XINEPOSTSWSCALE) $(DESTDIR)$(XINEPLUGINDIR)/post/$(XINEPOSTSWSCALE)
-	@echo Installing $(DESTDIR)$(XINEPLUGINDIR)/post/$(XINEPOSTAUDIOCHANNEL)
-	@-rm -rf $(DESTDIR)$(XINEPLUGINDIR)/post/$(XINEPOSTAUDIOCHANNEL)
-	@$(INSTALL) -m 0644 $(XINEPOSTAUDIOCHANNEL) $(DESTDIR)$(XINEPLUGINDIR)/post/$(XINEPOSTAUDIOCHANNEL)
-endif
-ifeq ($(XINELIBOUTPUT_FB), yes)
+	@echo LD $@
+	$(Q)$(CC) $(CFLAGS) $(LDFLAGS_SO) $(LDFLAGS) $(OBJS_XINEINPUTVDR) $(LIBS_XINE) $(LIBS_AVUTIL) $(LIBS_PTHREAD) -o $@

=== debian/changelog ===
vdr-plugin-xineliboutput (2.1.0+git20191101-1) unstable; urgency=medium

  * New Upstream Snapshot (commit 32a5ffc)
  * Standards-Version: 4.4.1

 -- Tobias Grimm <etobi@debian.org>  Fri, 01 Nov 2019 15:36:57 +0100

=== debian/rules ===
--- 
+++ 
@@ -29,12 +29,12 @@
 	install -m 644 -D debian/icon.svg debian/xineliboutput-sxfe/usr/share/icons/xineliboutput-fbfe.svg
 
 override_dh_strip:
-	dh_strip -pvdr-plugin-xineliboutput --dbg-package=vdr-plugin-xineliboutput-dbg
-	dh_strip -plibxineliboutput-fbfe --dbg-package=libxineliboutput-fbfe-dbg
-	dh_strip -plibxineliboutput-sxfe --dbg-package=libxineliboutput-sxfe-dbg
-	dh_strip -pxineliboutput-fbfe --dbg-package=xineliboutput-fbfe-dbg
-	dh_strip -pxineliboutput-sxfe --dbg-package=xineliboutput-sxfe-dbg
-	dh_strip -plibxine2-xvdr --dbg-package=libxine2-xvdr-dbg
+	dh_strip --dbgsym-migration='vdr-plugin-xineliboutput-dbg (<< 2.1.0+git20190511-1~)'
+	dh_strip --dbgsym-migration='libxineliboutput-fbfe-dbg (<< 2.1.0+git20190511-1~)'
+	dh_strip --dbgsym-migration='libxineliboutput-sxfe-dbg (<< 2.1.0+git20190511-1~)'
+	dh_strip --dbgsym-migration='xineliboutput-fbfe-dbg (<< 2.1.0+git20190511-1~)'
+	dh_strip --dbgsym-migration='xineliboutput-sxfe-dbg (<< 2.1.0+git20190511-1~)'
+	dh_strip --dbgsym-migration='libxine2-xvdr-dbg (<< 2.1.0+git20190511-1~)'
 
 get-vcs-snapshot:
 	sh debian/get-vcs-snapshot.sh
